/**
 * @file
 * Visual styles for Corporate+'s language switcher.
 */

.block-language .links {
    list-style: none;
    display: flex;
    padding: 5px 0;
    margin: 0;
}

.block-language ul li {
    padding: 5px 0 5px 10px;
    position: relative;
}

.block-language ul li:before {
    content: "";
    font-family: "FontAwesome";
    position: absolute;
    left: 0;
    top: 7px;
    font-size: 10px;
}

.block-language ul li:before {
    content: "";
    font-size: 12px;
}

.language-switcher-language-url {
    float: right;
}

.language-switcher-language-url ul li {
    float: none;
}


/*Responsivity for mobile */

@media (max-width: 620px) {
    .block-language .links {
        list-style: none;
        display: flex;
        padding: 5px 0;
        margin-top: 19px;
        font-size: 14px;
    }
}


/*Responsivity for tablet */

@media (min-width: 768px) and (max-width: 1024px) {
    .language-switcher-language-url {
        margin-right: 35px;
        margin-top: 0px;
    }
}

@media (min-width: 768px) and (max-width: 1024px) and (orientation: landscape) {
    .language-switcher-language-url {
        margin-right: 30px;
        margin-top: 0;
    }
}

@media (min-width: 620px) and (max-width:768px) {
    .language-switcher-language-url {
        /* margin-right: 50px; */
        margin-top: 10px;
    }
}

@media (min-width: 1320px) {
    .block-language .links {
        list-style: none;
        display: flex;
        margin-bottom: 0px;
        margin-right: 0px;
    }
}

@media (min-width: 1140px) {
    .block-language .links {
        list-style: none;
        display: flex;
        margin-bottom: 0px;
        /* margin-right: -10px; */
    }
}

.language-switcher-language-url ul li.en {
    order: 2;
}